Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.controller.state
Class PortletPageNavigationalStateSerialization

    java.lang.Object
      org.jboss.portal.portlet.controller.state.PortletPageNavigationalStateSerialization

All Implemented Interfaces:
  org.jboss.portal.common.io.Serialization<PortletPageNavigationalState>

    public class PortletPageNavigationalStateSerialization

extends java.lang.Object
implements org.jboss.portal.common.io.Serialization<PortletPageNavigationalState>

Implement serialization of a page navigational state in a compact manner.

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface org.jboss.portal.common.io.Serialization
`PARAMETER_MAP`

Constructor Summary
`PortletPageNavigationalStateSerialization(StateControllerContext context)`

Method Summary
`void` | `serialize(PortletPageNavigationalState pageNavigationalState, java.io.OutputStream out)`
`PortletPageNavigationalState` | `unserialize(java.io.InputStream in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PortletPageNavigationalStateSerialization

    public PortletPageNavigationalStateSerialization(StateControllerContext context)

Method Detail

### serialize

    public void serialize(PortletPageNavigationalState pageNavigationalState,
                          java.io.OutputStream out)
                   throws java.io.IOException,
                          java.lang.IllegalArgumentException

  Specified by:
    `serialize` in interface `org.jboss.portal.common.io.Serialization<PortletPageNavigationalState>`
  Throws:
    `java.io.IOException`
    `java.lang.IllegalArgumentException`

### unserialize

    public PortletPageNavigationalState unserialize(java.io.InputStream in)
                                             throws java.io.IOException,
                                                    java.lang.IllegalArgumentException

  Specified by:
    `unserialize` in interface `org.jboss.portal.common.io.Serialization<PortletPageNavigationalState>`
  Throws:
    `java.io.IOException`
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.